Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.worklist
Interface Worklist

public interface Worklist
extends javax.ejb.EJBObject

Provides the functionality required by a worklist client application. A worklist bean has an associated workflow participant.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WorklistHome`

Method Summary
`java.lang.String` | `getActiveOrganization()` Return the active organization.
`java.util.List` | `getStartableWorkflows(java.lang.String orgID)` List the workflows that may be started manually.
`TaskInfo` | `getTask(java.lang.String taskName, java.lang.String instanceID)` Get a specific task.
`int[]` | `getTaskCounts()` Return the number of assigned and overdue tasks on a user's worklist.
`java.util.List` | `getTasks()` List the tasks assigned to the user who created this remote worklist object.
`java.util.List` | `getTasks(java.lang.String orgID, java.lang.String assigneeID, boolean isRole)` List the tasks assigned to a participant.
`java.lang.String` | `instantiateWorkflow(java.lang.String orgID, java.lang.String templateID)` Create a new workflow instance.
`java.lang.String` | `instantiateWorkflow(java.lang.String orgID, java.lang.String templateID, java.lang.Object requestID)` Create a new workflow instance using a request ID.
`java.lang.String` | `instantiateWorkflow(java.lang.String orgID, java.lang.String templateID, java.lang.String xml, java.util.Map initialValues, java.util.Map pluginData)` Create a new workflow instance, passing an XML document and initial variable values.
`java.lang.String` | `instantiateWorkflow(java.lang.String orgID, java.lang.String templateID, java.lang.String xml, java.util.Map initialValues, java.util.Map pluginData, java.lang.Object requestID)` Create a new workflow instance using a request ID, passing an XML document and initial variable values.
`java.lang.String` | `invokeWorkflowErrorHandler(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String handlerName, java.lang.String xml)` Deprecated. Use `invokeWorkflowExceptionHandler(java.lang.String, java.lang.String, java.lang.String, java.lang.String)` instead.
`java.lang.String` | `invokeWorkflowExceptionHandler(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String handlerName, java.lang.String xml)` Invoke an exception handler for a workflow instance.
`java.lang.String` | `invokeWorkflowExceptionHandler(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String handlerName, java.lang.String xml, java.lang.Object requestID)` Invoke an exception handler for a workflow instance using a request ID.
`void` | `ping()` A "dummy" method for the client to ping.
`java.lang.String` | `response(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String nodeID, java.lang.Object data)` Send the client's response to a previously received client request.
`java.lang.String` | `response(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String nodeID, java.lang.Object data, java.lang.Object requestID)` Send the client's response to a previously received client request.
`java.lang.String` | `response(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String nodeID, java.lang.String xml)` Send the client's response to a previously received client request.
`void` | `setActiveOrganization(java.lang.String orgID)` Set the active organization.
`java.lang.String` | `taskAssign(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String taskID, java.lang.String assigneeID, boolean isRole, boolean bLoadBalance)` Assign a task to a participant.
`java.lang.String` | `taskAssign(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String taskID, java.lang.String assigneeID, boolean isRole, boolean bLoadBalance, java.lang.Object requestID)` Assign a task to a participant using a request ID.
`java.lang.String` | `taskExecute(java.lang.String taskName, java.lang.String instanceId)` Execute a task instance.
`java.lang.String` | `taskExecute(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String taskID)` Execute a task instance.
`java.lang.String` | `taskMarkDone(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String taskID)` Mark a task instance as complete.
`java.lang.String` | `taskMarkDone(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String taskID, java.lang.Object requestID)` Mark a task instance as complete using a request ID.
`java.lang.String` | `taskSetProperties(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String taskID, int priority, boolean doneWithoutDoit, boolean doitIfDone, boolean unmarkDone, boolean modifible, boolean reassignable)` Set the properties for a task instance.
`void` | `taskUnassign(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String taskID)` Unassign a task.
`java.lang.String` | `taskUnmarkDone(java.lang.String templateDefinitionID, java.lang.String instanceID, java.lang.String taskID)` Mark a task as incomplete.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### ping

    public void ping()
              throws java.rmi.RemoteException

  A "dummy" method for the client to ping. This is to avoid a WLS "feature" that will dereference a remote object that hasn't been referenced for a certain amound of time, thus causing the client to die. This method is idempotent.

### setActiveOrganization

    public void setActiveOrganization(java.lang.String orgID)
                               throws java.rmi.RemoteException,
                                      WorkflowException

  Set the active organization. The active organization is the default used by those worklist requests that do not explicitly specify an organization. This method is idempotent.

  Parameters:
    `orgID` - The ID of the organization to set as active.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception prevented the call from completing.

### getActiveOrganization

    public java.lang.String getActiveOrganization()
                                           throws java.rmi.RemoteException,
                                                  WorkflowException

  Return the active organization. This method is idempotent.

  Returns:
    The ID of the active organization.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.

### getTaskCounts

    public int[] getTaskCounts()
                        throws java.rmi.RemoteException,
                               WorkflowException

  Return the number of assigned and overdue tasks on a user's worklist. This method is idempotent.

  Returns:
    An array of task counts as follows:

    `element[0]` | the total number of tasks assigned to the user.
    `element[1]` | the number of those tasks which are overdue.

  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception prevented the call from completing.

### getTasks

    public java.util.List getTasks()
                            throws java.rmi.RemoteException,
                                   WorkflowException

  List the tasks assigned to the user who created this remote worklist object. This method is idempotent.

  Returns:
    A list of TaskInfo objects.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception prevented the call from completing.

### getTasks

    public java.util.List getTasks(java.lang.String orgID,
                                   java.lang.String assigneeID,
                                   boolean isRole)
                            throws java.rmi.RemoteException,
                                   WorkflowException

  List the tasks assigned to a participant. This method is idempotent.

  Parameters:
    `orgID` - The ID of the organization for which to list tasks.
    `assigneeID` - The ID of the participant for whom to list tasks.
    `isRole` - `true` if `assigneeID` is that of a role.
  Returns:
    A list of TaskInfo objects.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception prevented the call from completing.
  Since:
    WebLogic Process Integrator 2.0

### getTask

    public TaskInfo getTask(java.lang.String taskName,
                            java.lang.String instanceID)
                     throws java.rmi.RemoteException,
                            WorkflowException

  Get a specific task. This method is idempotent.

  Parameters:
    `taskName` - The task name that you are interested in.
    `instanceID` - The ID of the instance to which this task belongs.
  Returns:
    A object of TaskInfo type.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception prevented the call from completing.

### getStartableWorkflows

    public java.util.List getStartableWorkflows(java.lang.String orgID)
                                         throws java.rmi.RemoteException,
                                                WorkflowException

  List the workflows that may be started manually. This method is idempotent.

  Parameters:
    `orgID` - The ID of the organization for which to list workflows.
  Returns:
    A list of TemplateInfo objects.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception prevented the call from completing.

### instantiateWorkflow

    public java.lang.String instantiateWorkflow(java.lang.String orgID,
                                                java.lang.String templateID)
                                         throws java.rmi.RemoteException,
                                                WorkflowException

  Create a new workflow instance. This method is not idempotent.

  Parameters:
    `orgID` - The ID of the organization in which to instantiate the workflow.
    `templateID` - The ID of the workflow template to instantiate.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`. The caller can perform a SAX parse of this XML document to obtain the `instanceID` and `templateDefinitionID` of the new instance.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the workflow could not be instantiated.
  See Also:
    `instantiateWorkflow(String,String,String,Map,Map)`

### instantiateWorkflow

    public java.lang.String instantiateWorkflow(java.lang.String orgID,
                                                java.lang.String templateID,
                                                java.lang.Object requestID)
                                         throws java.rmi.RemoteException,
                                                WorkflowException

  Create a new workflow instance using a request ID. This method is idempotent.

  Parameters:
    `orgID` - The ID of the organization in which to instantiate the workflow.
    `templateID` - The ID of the workflow template to instantiate.
    `requestID` - The client request ID used to make the method idempotent.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`. The caller can perform a SAX parse of this XML document to obtain the `instanceID` and `templateDefinitionID` of the new instance.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the workflow could not be instantiated.
  Since:
    WebLogic Process Integrator 2.0
  See Also:
    `instantiateWorkflow(String,String)`

### instantiateWorkflow

    public java.lang.String instantiateWorkflow(java.lang.String orgID,
                                                java.lang.String templateID,
                                                java.lang.String xml,
                                                java.util.Map initialValues,
                                                java.util.Map pluginData)
                                         throws java.rmi.RemoteException,
                                                WorkflowException

  Create a new workflow instance, passing an XML document and initial variable values. The workflow template definition can also extract required values from the XML document, in the same way it can for an XML event-type start. This method is not idempotent.

  Parameters:
    `orgID` - The ID of the organization in which to instantiate the workflow.
    `templateID` - The ID of the workflow template to instantiate.
    `xml` - An XML document from which the new workflow instance can initialize itself. Can be `null`.
    `initialValues` - Initial values for workflow variables. The worklist bean maps keys to variable names in a case-insenstive way, and attempts to use the corresponding values to initialize the variables identified by the keys. Can be `null`.
    `pluginData` - A collection of plugin-defined instance data. The map is keyed on plugin name, and each element is a plugin-defined instance datum. Can be `null`.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`. The caller can perform a SAX parse of this XML document to obtain the `instanceID` and `templateDefinitionID` of the new instance.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the workflow could not be instantiated.
  Since:
    WebLogic Process Integrator 2.0
  See Also:
    `instantiateWorkflow(String,String)`

### instantiateWorkflow

    public java.lang.String instantiateWorkflow(java.lang.String orgID,
                                                java.lang.String templateID,
                                                java.lang.String xml,
                                                java.util.Map initialValues,
                                                java.util.Map pluginData,
                                                java.lang.Object requestID)
                                         throws java.rmi.RemoteException,
                                                WorkflowException

  Create a new workflow instance using a request ID, passing an XML document and initial variable values. The workflow template definition can also extract required values from the XML document, in the same way it can for an XML event-type start. This method is idempotent.

  Parameters:
    `orgID` - The ID of the organization in which to instantiate the workflow.
    `templateID` - The ID of the workflow template to instantiate.
    `xml` - An XML document from which the new workflow instance can initialize itself. Can be `null`.
    `initialValues` - Initial values for workflow variables. The worklist bean maps keys to variable names in a case-insenstive way, and attempts to use the corresponding values to initialize the variables identified by the keys. Can be `null`.
    `pluginData` - A collection of plugin-defined instance data. The map is keyed on plugin name, and each element is a plugin-defined instance datum.
    `requestID` - The client request ID used to make the method idempotent.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`. The caller can perform a SAX parse of this XML document to obtain the `instanceID` and `templateDefinitionID` of the new instance.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the workflow could not be instantiated.
  Since:
    WebLogic Process Integrator 2.0
  See Also:
    `instantiateWorkflow(String,String,String,Map,Map)`

### taskExecute

    public java.lang.String taskExecute(java.lang.String templateDefinitionID,
                                        java.lang.String instanceID,
                                        java.lang.String taskID)
                                 throws java.rmi.RemoteException,
                                        WorkflowException

  Execute a task instance. The default implementation causes the actions associated with the task's "executed" event to be performed in sequence. This method is not idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `taskID` - The ID of the task instance.
  Returns:
    A response string (in XML format) compliant with the client request document type definition. The response contains details of all workflow and task updates that occurred as a consequence of the call and may also contain requests that the client is expected to handle. Such requests are generated by the ActionSendXMLToClient action (and subclasses thereof) and are compliant with the call executable program, call Java class, display message box or set variable values document type definitions. Custom clients are free to define their own services and XML formats (provided these do not create ambiguities when referenced from the generic client request document type definition).
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the method is called by a client process and the task is not assigned to that user or if an exception prevented the task from being executed.

### taskExecute

    public java.lang.String taskExecute(java.lang.String taskName,
                                        java.lang.String instanceId)
                                 throws java.rmi.RemoteException,
                                        WorkflowException

  Execute a task instance. The default implementation causes the actions associated with the task's "executed" event to be performed in sequence. This method is not idempotent.

  Parameters:
    `taskName` - The Name of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
  Returns:
    A response string (in XML format) compliant with the client request document type definition. The response contains details of all workflow and task updates that occurred as a consequence of the call and may also contain requests that the client is expected to handle. Such requests are generated by the ActionSendXMLToClient action (and subclasses thereof) and are compliant with the call executable program, call Java class, display message box or set variable values document type definitions. Custom clients are free to define their own services and XML formats (provided these do not create ambiguities when referenced from the generic client request document type definition).
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the method is called by a client process and the task is not assigned to that user or if an exception prevented the task from being executed.
  Since:
    WebLogic Process Integrator 2.0

### taskMarkDone

    public java.lang.String taskMarkDone(java.lang.String templateDefinitionID,
                                         java.lang.String instanceID,
                                         java.lang.String taskID)
                                  throws java.rmi.RemoteException,
                                         WorkflowException

  Mark a task instance as complete. The default implementation sets the task "completed" date to the current date/time and causes any actions associated with the task's "marked done" event to be performed in sequence. This method is not idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `taskID` - The ID of the task instance.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the method is called by a client process and the task's properties do not permit it to be marked complete or if an exception prevented the task from being marked complete.

### taskMarkDone

    public java.lang.String taskMarkDone(java.lang.String templateDefinitionID,
                                         java.lang.String instanceID,
                                         java.lang.String taskID,
                                         java.lang.Object requestID)
                                  throws java.rmi.RemoteException,
                                         WorkflowException

  Mark a task instance as complete using a request ID. The default implementation sets the task "completed" date to the current date/time and causes any actions associated with the task's "marked done" event to be performed in sequence. This method is idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `taskID` - The ID of the task instance.
    `requestID` - The client request ID used to make the method idempotent.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the method is called by a client process and the task's properties do not permit it to be marked complete or if an exception prevented the task from being marked complete.
  Since:
    WebLogic Process Integrator 2.0

### taskUnmarkDone

    public java.lang.String taskUnmarkDone(java.lang.String templateDefinitionID,
                                           java.lang.String instanceID,
                                           java.lang.String taskID)
                                    throws java.rmi.RemoteException,
                                           WorkflowException

  Mark a task as incomplete. The default implementation clears the task's "completed" date but does not cause the execution of any actions defined for the task's "started" event. This method is idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `taskID` - The ID of the task instance.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the method is called by a client process and the task's properties do not permit it to be marked incomplete, or if an exception prevented the task from being marked incomplete.

### taskAssign

    public java.lang.String taskAssign(java.lang.String templateDefinitionID,
                                       java.lang.String instanceID,
                                       java.lang.String taskID,
                                       java.lang.String assigneeID,
                                       boolean isRole,
                                       boolean bLoadBalance)
                                throws java.rmi.RemoteException,
                                       WorkflowException

  Assign a task to a participant. The actual participant to whom the system assigns the task depends on: 1.) whether any task reroutes are currently in force for the nominated assignee and 2.) the value of the `bLoadBalance` argument. This method is not idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `taskID` - The ID of the task instance.
    `assigneeID` - The ID of the participant to whom the task is to be assigned.
    `bRole` - `true` if the assignee ID is that of a role, `false` if that of a user.
    `bLoadBalance` - `true` to request the system to perform load-balancing within the specified role. This argument is ignored if the `bRole` argument is `false`.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the method is called by a client process and the task's properties do not permit it to be reassigned.

### taskAssign

    public java.lang.String taskAssign(java.lang.String templateDefinitionID,
                                       java.lang.String instanceID,
                                       java.lang.String taskID,
                                       java.lang.String assigneeID,
                                       boolean isRole,
                                       boolean bLoadBalance,
                                       java.lang.Object requestID)
                                throws java.rmi.RemoteException,
                                       WorkflowException

  Assign a task to a participant using a request ID. The actual participant to whom the system assigns the task depends on: 1.) whether any task reroutes are currently in force for the nominated assignee and 2.) the value of the `bLoadBalance` argument. This method is idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `taskID` - The ID of the task instance.
    `assigneeID` - The ID of the participant to whom the task is to be assigned.
    `bRole` - `true` if the assignee ID is that of a role, `false` if that of a user.
    `bLoadBalance` - `true` to request the system to perform load-balancing within the specified role. This argument is ignored if the `bRole` argument is `false`.
    `requestID` - The client request ID used to make the method idempotent.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the method is called by a client process and the task's properties do not permit it to be reassigned.
  Since:
    WebLogic Process Integrator 2.0

### taskUnassign

    public void taskUnassign(java.lang.String templateDefinitionID,
                             java.lang.String instanceID,
                             java.lang.String taskID)
                      throws java.rmi.RemoteException,
                             WorkflowException

  Unassign a task. This method is idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `taskID` - The ID of the task instance.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the method is called by a client process and the task's properties do not permit it to be reassigned or if an exception prevented the request from being completed.

### taskSetProperties

    public java.lang.String taskSetProperties(java.lang.String templateDefinitionID,
                                              java.lang.String instanceID,
                                              java.lang.String taskID,
                                              int priority,
                                              boolean doneWithoutDoit,
                                              boolean doitIfDone,
                                              boolean unmarkDone,
                                              boolean modifible,
                                              boolean reassignable)
                                       throws java.rmi.RemoteException,
                                              WorkflowException

  Set the properties for a task instance. This method is idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `taskID` - The ID of the task instance.
    `priority` - The task instance priority (0=low, 1=medium, 2=high).
    `doneWithoutDoit` - `true` to permit a user to mark a task instance as complete (by calling the `taskMarkDone(java.lang.String, java.lang.String, java.lang.String)` method).
    `doitIfDone` - `true` to permit a user to execute a task instance after it has been marked as complete (by calling the `taskExecute(java.lang.String, java.lang.String, java.lang.String)` method).
    `unmarkDone` - `true` to permit a user to mark a task instance as incomplete (by calling the `taskUnmarkDone(java.lang.String, java.lang.String, java.lang.String)` method).
    `modifible` - `true` to permit a user to modify a task instance's runtime properties (by calling this method).
    `reassignable` - `true` to permit a user to reassign a task instance to another participant (by calling the `taskAssign(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean)` method).
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if the task properties could not be set.

### response

    public java.lang.String response(java.lang.String templateDefinitionID,
                                     java.lang.String instanceID,
                                     java.lang.String nodeID,
                                     java.lang.String xml)
                              throws java.rmi.RemoteException,
                                     WorkflowException

  Send the client's response to a previously received client request. This request will generally have been raised by an `ActionSendXMLToClient` action, using one of the standard DTDs or a client-defined custom DTD. The response DTD matches the request DTD and the XML document contains the results of executing the server's request. The originating action typically uses the `XPath` function to extract the required values from the document. Clients are free to define custom request and response DTDs. This method is not idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `nodeID` - The ID of the object that raised the client request to which this call is responding.
    `xml` - The client's request-specific response (in XML format) compliant with the document type definition called program response, called Java class response, message box response, set variables response or a custom format defined by the client.
  Returns:
    A further response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception occurred while processing the response document.

### response

    public java.lang.String response(java.lang.String templateDefinitionID,
                                     java.lang.String instanceID,
                                     java.lang.String nodeID,
                                     java.lang.Object data)
                              throws java.rmi.RemoteException,
                                     WorkflowException

  Send the client's response to a previously received client request. This request will generally have been raised by an action that completes asynchronously. Clients are free to respond with any object type that the receiving action is capable of making use of. This method is not idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `nodeID` - The ID of the object that raised the client request to which this call is responding.
    `data` - The client's request-specific response.
  Returns:
    A further response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception occurred while processing the response document.

### response

    public java.lang.String response(java.lang.String templateDefinitionID,
                                     java.lang.String instanceID,
                                     java.lang.String nodeID,
                                     java.lang.Object data,
                                     java.lang.Object requestID)
                              throws java.rmi.RemoteException,
                                     WorkflowException

  Send the client's response to a previously received client request. This request will generally have been raised by an `ActionSendXMLToClient` action, using one of the standard DTDs or a client-defined custom DTD. The response DTD matches the request DTD and the XML document contains the results of executing the server's request. The originating action typically uses the `XPath` function to extract the required values from the document. Clients are free to define custom request and response DTDs. This method is idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance.
    `nodeID` - The ID of the object that raised the client request to which this call is responding.
    `xml` - The client's request-specific response (in XML format) compliant with the document type definition called program response, called Java class response, message box response, set variables response or a custom format defined by the client.
    `requestID` - The client request ID used to make the method idempotent.
  Returns:
    A further response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    WorkflowException - if an exception occurred while processing the response document.
  Since:
    WebLogic Process Integrator 2.0

### invokeWorkflowErrorHandler

    public java.lang.String invokeWorkflowErrorHandler(java.lang.String templateDefinitionID,
                                                       java.lang.String instanceID,
                                                       java.lang.String handlerName,
                                                       java.lang.String xml)
                                                throws java.rmi.RemoteException,
                                                       WorkflowException

  Deprecated. Use `invokeWorkflowExceptionHandler(java.lang.String, java.lang.String, java.lang.String, java.lang.String)` instead.
  Invoke an error handler for a workflow instance. The API passes the specified XML document to the error handler. This method is not idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance for which the error handler should be invoked.
    `handlerName` - The name of the error handler to invoke.
    `xml` - The XML document to pass as the user-defined subtree to the error handler.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Since:
    Weblogic Process Integrator version 1.2

### invokeWorkflowExceptionHandler

    public java.lang.String invokeWorkflowExceptionHandler(java.lang.String templateDefinitionID,
                                                           java.lang.String instanceID,
                                                           java.lang.String handlerName,
                                                           java.lang.String xml)
                                                    throws java.rmi.RemoteException,
                                                           WorkflowException

  Invoke an exception handler for a workflow instance. The API passes the specified XML document to the error handler. This method is not idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance for which the error handler should be invoked.
    `handlerName` - The name of the error handler to invoke.
    `xml` - The XML document to pass as the user-defined subtree to the error handler.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Since:
    WebLogic Process Integrator 2.0

### invokeWorkflowExceptionHandler

    public java.lang.String invokeWorkflowExceptionHandler(java.lang.String templateDefinitionID,
                                                           java.lang.String instanceID,
                                                           java.lang.String handlerName,
                                                           java.lang.String xml,
                                                           java.lang.Object requestID)
                                                    throws java.rmi.RemoteException,
                                                           WorkflowException

  Invoke an exception handler for a workflow instance using a request ID. The API passes the specified XML document to the error handler. This method is idempotent.

  Parameters:
    `templateDefinitionID` - The ID of the workflow template definition.
    `instanceID` - The ID of the workflow instance for which the error handler should be invoked.
    `handlerName` - The name of the error handler to invoke.
    `xml` - The XML document to pass as the user-defined subtree to the error handler.
    `requestID` - The client request ID used to make the method idempotent.
  Returns:
    A response string as described under `taskExecute(java.lang.String, java.lang.String, java.lang.String)`.
  Since:
    WebLogic Process Integrator 2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)